Subject: Re: [Acme] comments on: draft-ietf-acme-integrations-05

From: "Owen Friel (ofriel)" <[email-masked]>
Date: Tue, 7 Dec 2021 09:49:37 +0000

Hi Deb,
I have raised github issues for all these items:

https://github.com/upros/acme-integrations/issues

I will get these addressed later this week.
Thanks for the review.
Owen

From: Acme <[email-masked]> On Behalf Of Deb Cooley
Sent: 27 November 2021 19:43
To: [email-masked]
Cc: Cooley, Dorothy E <[email-masked]>
Subject: [Acme] comments on: draft-ietf-acme-integrations-05

No hats (oh that was fun!).

Most of these are very minor.  In full disclosure, I don't have a ton of experience on either ACME message exchanges or TEAP:

Section 2:  I like the DNS terminology (I can’t say if they are correct).  For me, they are clear and easy to understand.
Section 2:  CMS – spell this out the first time.
Section 3:  This might be picky, but sometimes it is difficult to distinguish between ACME the protocol and ACME the CA.  For example, the call flow chart has a node ‘ACME’, this is the CA, correct?  If you wanted to clarify this, I think it would be as easy to change the node to ‘ACME CA’.  Again, I will freely admit this might be picky…
Section 4, para 1:   Spell out MASA somewhere.  Maybe in the terms in Section 2.  I know MASA is defined in BRSKI, but this would at least give the reader a hint.
Section 6:
TLV?  (This means tag length value, but clearly that is wrong).
I know nothing about TEAP, but does the server initiate normally? (I’m used to seeing client-initiated exchanges)
And this is not for this document, per se, but does TEAP use TLS1.2 (it doesn’t look like TLS 1.3 – change cipher spec, for example)?

Deb Cooley
[email-masked]<mailto:[email-masked]>